PLN

Inquiry

API to inquiry PLN Postpaid.

Path

MethodPath
POSTapi/v1/bill/check

Test Case

CodeNumberResponse
PLNPOSTPAID530000000000Success - 1 bill
PLNPOSTPAID530000000999Success - 8 bills
PLNPOSTPAID530000000001Inquiry - Invoice Has Been Paid
PLNPOSTPAID530000000014Inquiry - Incorrect Destination Number
PLNPOSTPAID530000000103Inquiry - Time Out
PLNPOSTPAID530000001037Payment - Payment Failed
PLNPOSTPAID530000001039Payment - Pending / transaction in process
PLNPOSTPAID530000001105Payment - MISC Error / Biller System Error
PLNPOSTPAID53000000XXXXTest other response scenarios in the test case menu.

Request Body

AttributesTypeDescriptionMandatory
commandsStringValue: inq-pascaYes
usernameStringYour registered phone numberYes
codeStringProduct Code. You can get list of product code in pricelist api or from pricelist hereYes
hpStringPLN postpaid customer numberYes
ref_idStringYour order number / reference ID ( must unique )Yes
signStringSignature. Value: md5(username+api_key+ref_id)Yes
{
  "commands"    : "inq-pasca",
  "username"    : "123123123",
  "code"        : "PLNPOSTPAID",
  "hp"          : "530000000000",
  "ref_id"      : "09128374655",
  "sign"        : "1ac8362ae9a517eadf4a47715555b022"
}

Response

Loading...
{
  "data": {},
  "meta": []
}

Live Testing

Request URL
https://testpostpaid.mobilepulsa.net/api/v1/bill/check
Request Method
Request Header
Content-Type: application/json
Body
Result

Tutorial Video

You can see this video for inquiry code explanation using Laravel.

Video thumbnail

Or you can see this video for inquiry code explanation using PHP.

Video thumbnail